Routes
Get collection data
GEThttps://api.insurely.com/insurance/collection/{collectionId}/data
Request
Path Parameters
collectionIdstring
Header Parameters
insurely-languagestring
Possible Enum values are
sv, en, no, da, et, fr, de, lv, lt or ru.Insurely-Versionstring
Specifies the API version to use. Must match the version of the endpoint you are targeting.
Possible Enum values are
2025-01-01.Responses
Insurance data successfully fetched.
Body
addonsArray<AddOn>
A list of addons that this insurance has
coverageCoverage
The coverage details of the insurance, including parameters
deductiblesArray<Deductible>
A list of deductibles associated with the insurance
documentsArray<Document>
A list of documents associated with the insurance
idstring
Unique identifier for the insurance.
insuranceInsuranceWrapper
The basic insurance data collected from the insurance company
personalInformationobject
A map of personal information for the person who collected data. E.g. personal number.
termsUrlstring
URL to the current insurance terms as a PDF, will be missing if there is no link.
cURL
curl https://api.insurely.com/insurance/collection/{collectionId}/data \
-H "client-id: <client-id>"RESPONSE 200
[
{
"addons": [],
"coverage": {
"documents": [],
"isVersionRequested": false,
"parameters": []
},
"deductibles": [],
"id": "d8e44c3f-1f26-4cb8-9c2a-3c2ff9040f0b",
"insurance": {
"@market": "core",
"coming": false,
"endDate": "2026-06-30",
"holder": {
"@market": "ee",
"city": "Tartu",
"identificationCode": {
"@type": "personal",
"code": "39205240234"
},
"name": "Argo Tamm",
"phoneNumber": "+3725123345",
"postalCode": "50406",
"streetAddress": "Lembitu 12-4"
},
"insuranceCompany": "ee-if",
"insuranceName": "Kodukindlustus",
"insuranceNumber": "KK512774903",
"insuranceSubType": "condoInsurance",
"insuranceType": "houseContentInsurance",
"premium": {
"@market": "ee",
"amount": {
"amount": 483.03,
"currency": "EUR"
},
"paymentFrequency": -1,
"paymentMethod": "UNDEFINED",
"period": "YEARLY_PREMIUM_PERIOD",
"yearAdjustedPremium": {
"amount": 483,
"currency": "EUR"
}
},
"renewalDate": "2026-07-01",
"startDate": "2025-07-01"
}
}
]